# Cinder

# cinder::XmlElement Class Reference

`#include <Xml.h>`

List of all members.

## Public Member Functions
| XmlElement ()
| XmlElement (TiXmlElement *aTiNode)
std::string | name () const
bool | operator== (const XmlElement &rhs) const
bool | operator!= (const XmlElement &rhs) const
bool | hasChildren () const
std::vector< XmlElement > | xpath (const char *aXpathExpr) const
XmlElement | findChild (const char *aNodeName) const
XmlElement | parent () const
std::vector< XmlElement > | children () const
XmlElement | firstChild () const
XmlElement | lastChild () const
XmlElement | nextSibling () const
XmlElement | previousSibling () const
std::string | value () const
std::map< std::string, std::string > | attributes () const
void | setAttribute (const char *attrName, const char *attrValue)
void | addChild (const char *name, const char *value="")
## Friends
std::ostream & | operator<< (std::ostream &out, const XmlElement &base)

## Constructor & Destructor Documentation

cinder::XmlElement::XmlElement | ( |  | ) |

cinder::XmlElement::XmlElement | ( | TiXmlElement * | aTiNode | ) |

## Member Function Documentation

std::string cinder::XmlElement::name | ( |  | ) | const

bool cinder::XmlElement::operator== | ( | const XmlElement & | rhs | ) | const

bool cinder::XmlElement::operator!= | ( | const XmlElement & | rhs | ) | const

bool cinder::XmlElement::hasChildren | ( |  | ) | const

std::vector< XmlElement > cinder::XmlElement::xpath | ( | const char * | aXpathExpr | ) | const

XmlElement cinder::XmlElement::findChild | ( | const char * | aNodeName | ) | const

XmlElement cinder::XmlElement::parent | ( |  | ) | const

std::vector< XmlElement > cinder::XmlElement::children | ( |  | ) | const

XmlElement cinder::XmlElement::firstChild | ( |  | ) | const

XmlElement cinder::XmlElement::lastChild | ( |  | ) | const

XmlElement cinder::XmlElement::nextSibling | ( |  | ) | const

XmlElement cinder::XmlElement::previousSibling | ( |  | ) | const

std::string cinder::XmlElement::value | ( |  | ) | const

std::map< std::string, std::string > cinder::XmlElement::attributes | ( |  | ) | const

void cinder::XmlElement::setAttribute | ( | const char * | attrName,
|  | const char * | attrValue |
| ) |  |  |

void cinder::XmlElement::addChild | ( | const char * | name,
|  | const char * | value = `""` |
| ) |  |  |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | out,
|  | const XmlElement & | base |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following files:

- include/cinder/Xml.h
- src/cinder/Xml.cpp